# Read the documentation: https://symfony.com/doc/current/bundles/FOSCKEditorBundle/index.html

twig:
    form_themes:
        - '@FOSCKEditor/Form/ckeditor_widget.html.twig'

fos_ck_editor:
    base_path: "ckeditor"
    js_path:   "ckeditor/ckeditor.js"
    configs:
        full_config:
            language: fr
            toolbar: "my_toolbar_1"
            uiColor: "#ffffff"
            extraPlugins: ["html5video"]
        light_config:
            language: fr
            toolbar: "my_toolbar_2"
            uiColor: "#ffffff"
            removePlugins: 'elementspath'
        small_config:
            language: fr
            toolbar: "my_toolbar_3"
            uiColor: "#ffffff"
            removePlugins: 'elementspath'            
    toolbars:
        configs:
            my_toolbar_1: [ "@document1", "-", "@clipboard1", "-", "@basicstyles1", "-", "@paragraph1", "/", "@links1", "-", "@insert1", "-", "@styles1", "-" , "@colors1", "-" , "@tools1" ]
            my_toolbar_2: [ "@basicstyles1", "-",  "@paragraph2", "-", "@insert2", "-", "@styles1"]
            my_toolbar_3: [ "@basicstyles1", "-",  "@paragraph3", "-", "@insert3"]

        items:
            document1: [ 'Source', '-', 'NewPage', 'Templates' ]
            clipboard1: [ 'Cut','Copy','Paste','PasteText','PasteFromWord','-','Undo','Redo' ]
            basicstyles1: [ 'Bold','Italic','Underline','RemoveFormat' ]
            paragraph1: [ 'NumberedList','BulletedList','-','Outdent','Indent','-','Blockquote','CreateDiv','-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock' ]
            paragraph2: [ 'JustifyLeft','JustifyCenter','JustifyRight','NumberedList','BulletedList' ]
            paragraph3: [ 'NumberedList','BulletedList' ]
            links1: [ 'Link','Unlink','Anchor' ]
            insert1: [ 'Image','Html5video','Table','HorizontalRule','Smiley','SpecialChar','PageBreak','Iframe' ]
            insert2: [ 'Image','Table','Smiley','Link','Unlink' ]
            insert3: [ 'Smiley','Link','Unlink' ]
            styles1: [ 'Styles','Format','Font','FontSize' ]
            colors1: [ 'TextColor','BGColor' ]
            tools1: [ 'Maximize', 'ShowBlocks','-','About' ]